Subject: Re: [Dev] Call graph generator?

From: "John F Davis" <[email-masked]>
Date: Thu, 18 Apr 2002 08:22:31 -0400

Hello

A couple of things come to mind:

1.  xref - freeware dos tool for doing such stuff.   I believe it was the
source for the linux package below:
     cxref - Generates latex and HTML documentation for C programs.
2.  sourcecode navigator from cygnus/redhat.  Very nice.
3. id utils - doesn't do call graphs, but I use it everyday for searching
for functions and symbols.
4. And if you have the money, visual slickedit.  It will walk the call
stack up and down.  I use it now for VxWorks code and its amazing.

JD

"M. Mueller" <[email-masked]>@trilug.org on 04/17/2002 09:39:46
PM

Please respond to [email-masked]

Sent by:    [email-masked]

To:    [email-masked]
cc:
Subject:    Re: [Dev] Call graph generator?

On Wednesday 17 April 2002 01:26 pm, you wrote:
> Does anyone know of a call graph generator for C code?  Either an
> independent program or an extension for Emacs that does something of the
> sort.
>
My search for the same thing was not fruitful:
1. C-doc, commercial applicaiton, about $300
2. Doxegen, open source, it looks like you need to integrate it with the
code
to create a document that compiles into a executable; supposedly it will do
graphs; seems to be a lifestyle choice instead of a quick and dirty graph
tool; I've not talked to anyone who actually used it

--
Michael Mueller
Signalnetware, Inc.
www.signalnetware.com
919.621.6090
_______________________________________________
Dev mailing list
[email-masked]
http://www.trilug.org/mailman/listinfo/dev